package com.friday.custody.quartz;

import com.friday.custody.service.logicService.LogicInternalService;
import lombok.extern.slf4j.Slf4j;
import org.quartz.DisallowConcurrentExecution;
import org.quartz.JobExecutionContext;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.scheduling.quartz.QuartzJobBean;

@Slf4j
@DisallowConcurrentExecution
public class UpdateNetValueDataJob extends QuartzJobBean {
    @Value("${custody.quartz.updateNetValueDataByScheduled.switch}")
    private Boolean updateNetValueData;
    @Autowired
    private LogicInternalService logicInternalService;
    @Override
    protected void executeInternal(JobExecutionContext context) {
        if (!updateNetValueData) {
            log.warn("每8点、12点、20点更新数据开关:未开启!");
            return;
        }
        log.info("UpdateNetValueDataJob开始执行！");
        logicInternalService.updateNetValueData();
    }
}
